TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
TIBCO.EMS.ADMIN.SSTransportInfo Class Reference

This class represents TIBCO SmartSockets transports that are configured on the EMS server. More...

Inheritance diagram for TIBCO.EMS.ADMIN.SSTransportInfo:

## Public Member Functions
override string | ToString ()
| Returns a String that represents the current Object More...

## Properties
string | ServerNames`[get]`
| Get the names of the RTservers this transport connects to. More...
string | Username`[get]`
| Get the username used by the EMS server to authenticate itself to the SmartSockets server. More...
string | Project`[get]`
| Get the SmartSockets project name. More...
SSDeliveryMode | DeliveryMode`[get]`
| Get the quality of service which delivers messages to the SmartSockets server over this transport. More...
SSLoadBalanceMode | LoadBalanceMode`[get]`
| Get the load balancing regimen for messages that this transport exports to the SmartSockets server. More...
bool | OverrideLoadBalanceMode`[get]`
| Indicates whether or not the RTserver should deliver all messages on this client connection, even if other clients participate in load balancing. More...
bool | GmdFileDelete`[get]`
| Indicates whether or not the EMS server should delete the GMD store file and create a new one when creating this transport. More...
SSSubscribeMode | SubscribeMode`[get]`
| Get the subscribe mode for the transport. Deprecated, As of release 5.0 subscribe mode is not configurable. More...
SSImportSSHeaders | ImportSSHeaders`[get]`
| Indicates which SmartSockets headers will be imported. More...
SSPreserveGMD | PreserveGMD`[get]`
| Indicates what happens to messages when a failure occurs when they are being exported via SmartSockets GMD. More...
Properties inherited from TIBCO.EMS.ADMIN.TransportInfo
string | Name`[get]`
| Get the name of the transport. More...
TransportType | Type`[get]`
| Get the type of the transport. More...
DeliveryMode | TopicImportDeliveryMode`[get]`
| Get the delivery mode for messages imported from this transport to a topic. More...
DeliveryMode | QueueImportDeliveryMode`[get]`
| Get the delivery mode for messages imported from this transport to a queue. More...
bool | ExportHeaders`[get]`
| Indicates whether or not EMS header information is included in messages exported on this transport. More...
bool | ExportProperties`[get]`
| Indicates whether or not the EMS message properties are included in messages exported on this transport. More...

## Detailed Description

This class represents TIBCO SmartSockets transports that are configured on the EMS server.

SmartSockets transports are mechanisms for importing and exporting messages between EMS and TIBCO SmartSockets.

## Member Function Documentation

override string TIBCO.EMS.ADMIN.SSTransportInfo.ToString | ( |  | ) |
| inline

Returns a String that represents the current Object

## Property Documentation

SSDeliveryMode TIBCO.EMS.ADMIN.SSTransportInfo.DeliveryMode
| get

Get the quality of service which delivers messages to the SmartSockets server over this transport.

Returns
  the delivery mode

bool TIBCO.EMS.ADMIN.SSTransportInfo.GmdFileDelete
| get

Indicates whether or not the EMS server should delete the GMD store file and create a new one when creating this transport.

Returns
  true if the EMS server should delete the GMD store file, false otherwise

SSImportSSHeaders TIBCO.EMS.ADMIN.SSTransportInfo.ImportSSHeaders
| get

Indicates which SmartSockets headers will be imported.

Returns
  the headers imported

SSLoadBalanceMode TIBCO.EMS.ADMIN.SSTransportInfo.LoadBalanceMode
| get

Get the load balancing regimen for messages that this transport exports to the SmartSockets server.

Returns
  the load balancing regimen

bool TIBCO.EMS.ADMIN.SSTransportInfo.OverrideLoadBalanceMode
| get

Indicates whether or not the RTserver should deliver all messages on this client connection, even if other clients participate in load balancing.

Returns
  true if load balancing is to be disabled, false otherwise

SSPreserveGMD TIBCO.EMS.ADMIN.SSTransportInfo.PreserveGMD
| get

Indicates what happens to messages when a failure occurs when they are being exported via SmartSockets GMD.

Returns
  situations when failed messages will be preserved in the EMS undelivered queue.

string TIBCO.EMS.ADMIN.SSTransportInfo.Project
| get

Get the SmartSockets project name.

Returns
  the project name

string TIBCO.EMS.ADMIN.SSTransportInfo.ServerNames
| get

Get the names of the RTservers this transport connects to.

Returns
  the server names

SSSubscribeMode TIBCO.EMS.ADMIN.SSTransportInfo.SubscribeMode
| get

Get the subscribe mode for the transport. Deprecated, As of release 5.0 subscribe mode is not configurable.

Returns
  the subscribe mode

Deprecated:
  As of release 5.0 subscribe mode is not configurable.

string TIBCO.EMS.ADMIN.SSTransportInfo.Username
| get

Get the username used by the EMS server to authenticate itself to the SmartSockets server.

Returns
  the username